Package org.springframework.core.codec

# Class EncodingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.core.codec.CodecException
org.springframework.core.codec.EncodingException

All Implemented Interfaces:
  `Serializable`

public class EncodingException extends CodecException
Indicates an issue with encoding the input Object stream with a focus on not being able to encode Objects. As opposed to a more general I/O errors or a `CodecException` such as a configuration issue that an `Encoder` may also choose to raise.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  - `Encoder`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EncodingException(String msg)`
Create a new EncodingException.
`EncodingException(String msg, Throwable cause)`
Create a new EncodingException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EncodingException

public EncodingException(String msg)
Create a new EncodingException.

Parameters:
  `msg` - the detail message

### EncodingException

public EncodingException(String msg, @Nullable Throwable cause)
Create a new EncodingException.

Parameters:
  `msg` - the detail message
  `cause` - root cause for the exception, if any